Skip to content

Invite Customer User

Request

Invite a user to a customer. The user will receive an email invitation to join the customer portal.

Security
BearerAuth
Path
idstringrequired

The ID of the customer to invite the user to.

Headers
Acceptstring(CustomerUserAcceptHeader)required

Set this to application/api.luminovo.customer-user-v1+json.

Value:"application/api.luminovo.customer-user-v1+json"
Bodyapplication/jsonrequired
emailstringrequired

The email address of the user to invite.

first_namestringrequired

The first name of the user to invite.

last_namestringrequired

The last name of the user to invite.

languagenull or types.customer.v1.Language (string)
One of:
null
user_rolestring(types.user.v1.UserRole)

The role of the user. Defaults to Member if not specified.

Enum:"member""admin"
hoststring or null

Optional hostname for the invite link (e.g., "portal.tenant.com"). Must be a valid hostname configured for your tenant. If not specified, a default hostname for your tenant will be used.

POST
/customers/{id}/users
curl -i -X POST \
  'https://api.luminovo.com/customers/{id}/users' \
  -H 'Accept: application/api.luminovo.customer-user-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "email": "string",
    "first_name": "string",
    "last_name": "string",
    "language": null,
    "user_role": "member",
    "host": "string"
  }'

Responses

User invite sent successfully.